GrailsApplicationContextCommandRunner (Grails 6.0.0)

Package: grails.ui.command

## [Groovy] Class GrailsApplicationContextCommandRunner

- grails.ui.command.GrailsApplicationContextCommandRunner

-     @groovy.transform.CompileStatic
      class GrailsApplicationContextCommandRunner
      extends DevelopmentGrailsApplication

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `commandName` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsApp` | `GRAILS_BANNER, SPRING_PROFILES, configuredEnvironment, developmentModeActive, directoryWatcher, enableBeanCreationProfiler`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `commandName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected GrailsApplicationContextCommandRunner (java.lang.String commandName, java.lang.Class<?>[] sources)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `main(java.lang.String[] args)` Main method to run an existing Application class
    `` | `org.springframework.context.ConfigurableApplicationContext` | `run(java.lang.String[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DevelopmentGrailsApplication` | `configureApplicationContextClass`
    `class GrailsApp` | `compileGroovyFile, configureDirectoryWatcher, configureEnvironment, createApplicationContext, createPluginManagerListener, enableDevelopmentModeWatch, isDevelopmentModeActive, loadPluginConfigurationsToMicronautContext, newMicronautContextBuilder, printRunStatus, recompile, run, run, run, setDevelopmentModeActive`

- - ### Field Detail

    - #### private java.lang.String commandName

  - ### Property Detail

    - #### java.lang.String commandName

  - ### Constructor Detail

    - #### protected GrailsApplicationContextCommandRunner(java.lang.String commandName, java.lang.Class<?>[] sources)

  - ### Method Detail

    - #### static void main(java.lang.String[] args)

      Main method to run an existing Application class

      Parameters:
        `args` - The first argument is the Command name, the last argument is the Application class name

    - #### @java.lang.Override org.springframework.context.ConfigurableApplicationContext run(java.lang.String[] args)